+ Responder ao Tópico



  1. #1
    Leca4
    Visitante

    Padrão Erro na hora de compilar o postfix

    ae alguem sabe me dizer pq esse erro???
    sei que deve ter alguma coisa a ver com o openssl ou alguma coisa assim

    =====================================

    [src/tlsmgr]
    (set -e echo "# DO NOT EDIT"; /bin/sh ../../makedefs && cat Makefile.in) > Makefile
    rm -f Makefile; (cat conf/makedefs.out Makefile.in) > Makefile

    ======================================

    Esse ai e o erro alguem me ajuda e urgente!!!!
    A to usando o slackware e essa e a minha linha de comando do make:
    make makefiles 'CCARGS=-DHAS_MYSQL \
    -I/usr/local/mysql/include/mysql -DUSE_SASL_AUTH \
    -I/usr/local/include/sasl -I/usr/local/bdb/include \
    -DUSE_TLS -I/usr/local/ssl/include/openssl ' \
    'AUXLIBS=-L/usr/local/mysql/lib/mysql -lmysqlclient \
    -lz -lm -L/usr/local/lib -lsasl2 -L/usr/local/bdb/lib\
    -L/usr/local/ssl/lib -lssl -lcrypto'

  2. #2

    Padrão Erro na hora de compilar o postfix

    nao vi nenhuma msg de erro ai



  3. #3
    Leca4
    Visitante

    Padrão Erro na hora de compilar o postfix

    blz, mas o comando do make para ai???
    aki ele parou bem ai, ai na hora que do um make install ele da erro, o erro e:

    [src/tls]
    gcc -Wmissing-prototypes -Wformat -DHAS_MYSQL -I/usr/local/mysql/include/mysql -DUSE_SASL_AUTH -I/usr/local/include/sasl -I/usr/local/bdb/include -DUSE_TLS -I/usr/local/ssl/include/openssl -DHAS_PCRE -g -O -I. -I../../include -DLINUX2 -c tls_prng_dev.c
    tls_prng_dev.c:73:59: openssl/rand.h: No such file or directory
    make: *** [tls_prng_dev.o] Error 1
    make: *** [update] Error 1

    nao sei o pq disso tb nao!!!

  4. #4
    Leca4
    Visitante

    Padrão Erro na hora de compilar o postfix

    acho que descobri ja huhuhu
    valeu



  5. #5

    Padrão Re: Erro na hora de compilar o postfix

    Você ta tentando compilar com suporte a mysql ???

  6. #6
    jrcampos82
    Visitante

    Padrão Erro do postfix

    O Seu problema é que estah faltando o MYSQL-DEVEL.

    se vc usa o apt-get é so dar o comando

    apt-get install mysql-devel

    falow